Bug 188378 - Review Request: perl-Test-NoWarnings
Summary: Review Request: perl-Test-NoWarnings
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 188380
Blocks: FE-ACCEPT 188376
TreeView+ depends on / blocked
 
Reported: 2006-04-08 19:30 UTC by Steven Pritchard
Modified: 2011-02-03 17:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-10 20:26:03 UTC


Attachments (Terms of Use)

Description Steven Pritchard 2006-04-08 19:30:07 UTC
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Test-NoWarnings/perl-Test-NoWarnings.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Test-NoWarnings-0.082-1.src.rpm
Description:
In general, your tests shouldn't produce warnings. This modules causes any
warnings to be captured and stored. It automatically adds an extra test
that will run when your script ends to check that there were no warnings.
If there were any warings, the test will give a "not ok" and diagnostics of
where, when and what the warning was, including a stack trace of what was
going on when the it occurred.

Comment 1 Jason Tibbitts 2006-04-10 00:43:32 UTC
Builds fine in mock (development branch, with dependencies added) and rpmlint is
silent.

Issues:
For grammar's sake, s/modules/module/ in the description.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  Text of license is included in the package.
* source files match upstream:
   702143eab77ffc335a08beccac47dca4  Test-NoWarnings-0.082.tar.gz
   702143eab77ffc335a08beccac47dca4  Test-NoWarnings-0.082.tar.gz-srpm
* package builds in mock.
* BuildRequires are proper.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* The package owns %{perl_vendorlib}/Test, which is also owned by other modules
in the Test:: namespace.  No dependency owns this directory, however, so there's
no alternative.

APPROVED.

Comment 2 Steven Pritchard 2006-04-10 20:26:03 UTC
Typo fixed in CVS.

Imported in CVS and builds requested.

Comment 3 Fedora Update System 2011-01-19 09:51:16 UTC
perl-Test-NoWarnings-0.083-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-NoWarnings-0.083-1.el4

Comment 4 Fedora Update System 2011-02-03 17:57:58 UTC
perl-Test-NoWarnings-0.083-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.